﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Uploader;

namespace PacketProcessor.ComparePackets
{
    public interface IPacketComparer
    {
        IPacketComparison Compare(PolarizedPacket oldPacket, PolarizedPacket newPacket);
        uint[] WattSecondsInTimeSlice(IPacketComparison packetComparison, DateTime startOfSlice, DateTime endOfSlice);
    }
}
